// welcome/welcome/welcome.js
import {
  DBPost
} from '../../db/DBpost.js';
Page({

  /**
   * 页面的初始数据
   */
  data: {
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    wx.showLoading({
      title: '登录中',
    })
    var dbPost = new DBPost();
    var loginTime = dbPost.getloginTimeData(); //获取上次登陆时间，没有记录为0
    if (loginTime) {
      var timestamp = +new Date();
      timestamp = timestamp / 1000;
      timestamp = parseInt(timestamp);
      var difference = timestamp - loginTime; //两次时间差
      if (difference >= 86400) {
        wx.clearStorageSync();
        setTimeout(function () {
          wx.hideLoading();
          wx.redirectTo({
            url: '../login/login'
          })
        }, 2000)
        wx.setStorageSync('login_state', 1)
        console.log("登录超时")
      } else {
        setTimeout(function () {
          wx.hideLoading();
          wx.switchTab({
            url: '../../pages/post/post'
          })
        }, 2000)
        console.log("校验通过")
      }
    } else {
      setTimeout(function () {
        wx.hideLoading();
        wx.redirectTo({
          url: '../login/login'
        })
        wx.setStorageSync('login_state', 2)
      }, 2000)
      console.log("无登录记录")
    }
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})